Ubuntu

Wi-Fi intermittent and slow -- Atheros AR9287 ath9k

Reported by Jan D on 2012-09-06
64
This bug affects 12 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Joseph Salisbury

Bug Description

Wireless transfer is extremely slow (and choppy, hangs, slows down, speeds up, stops for some time).

Expectet transfer speed using ssh (one ubuntu.iso 700MB file) is 5-7MB/s
Actual transfer speed using ssh (one ubuntu.iso 700MB file) is 0-1MB/s

iwconfig:

IEEE 802.11bgn ESSID:"Twin"
          Mode:Managed Frequency:2.437 GHz Access Point: 74:44:01:36:DE:44
          Bit Rate=144.4 Mb/s Tx-Power=16 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=70/70 Signal level=-31 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:217 Invalid misc:804 Missed beacon:0

Additional info:
I've got Ubuntu 12.04 and 12.10 on this laptop. Wireless is working as expected in 12.04.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: network-manager 0.9.6.0-0ubuntu5
ProcVersionSignature: Ubuntu 3.5.0-13.14-generic 3.5.3
Uname: Linux 3.5.0-13-generic x86_64
ApportVersion: 2.5.1-0ubuntu4
Architecture: amd64
Date: Thu Sep 6 13:53:43 2012
IfupdownConfig:
 auto lo
 iface lo inet loopback
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64 (20120820)
IpRoute:
 default via 192.168.1.1 dev wlan0 proto static
 169.254.0.0/16 dev wlan0 scope link metric 1000
 192.168.1.0/24 dev wlan0 proto kernel scope link src 192.168.1.61 metric 9
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
 WimaxEnabled=true
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: network-manager
UpgradeStatus: No upgrade log present (probably fresh install)
nmcli-con:
 NAME UUID TYPE TIMESTAMP TIMESTAMP-REAL AUTOCONNECT READONLY DBUS-PATH
 Wired connection 1 b8d8726d-a290-4718-9e08-d70dc2436c4f 802-3-ethernet 1346798450 Wed 05 Sep 2012 12:40:50 AM CEST yes no /org/freedesktop/NetworkManager/Settings/2
 Evjenveien 99b d99ae224-97f8-4563-a707-dddf57642914 802-11-wireless 1346523533 Sat 01 Sep 2012 08:18:53 PM CEST yes no /org/freedesktop/NetworkManager/Settings/1
 Twin 2830871f-6c1f-4e2d-8ceb-6e594029373b 802-11-wireless 1346932350 Thu 06 Sep 2012 01:52:30 PM CEST yes no /org/freedesktop/NetworkManager/Settings/0
nmcli-dev:
 DEVICE TYPE STATE DBUS-PATH
 wlan0 802-11-wireless connected /org/freedesktop/NetworkManager/Devices/1
 eth0 802-3-ethernet unavailable /org/freedesktop/NetworkManager/Devices/0
nmcli-nm:
 RUNNING VERSION STATE NET-ENABLED WIFI-HARDWARE WIFI WWAN-HARDWARE WWAN
 running 0.9.6.0 connected enabled enabled enabled enabled enabled

Jan D (jandeyk-gmail) wrote :
Thomas Hood (jdthood) wrote :

Most probably a driver issue

summary: - Wireless transfer extremely slow with Atheros AR9287
+ Wi-Fi intermittent and slow -- Atheros AR9287 ath9k
affects: network-manager (Ubuntu) → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1046800

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Jan D (jandeyk-gmail) wrote :

The apport-collect 1046800 command return the error:

ERROR: The launchpadlib Python module is not installed. This functionality is not available.

In Ubuntu 12.04 this command works as it should.

Do I still change this bug to 'confirmed'? Or do I try to install the missing modules manually --> python-launchpadlib first and then run the command again?

Jan D (jandeyk-gmail) on 2012-09-09
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.6 kernel[0] (Not a kernel in the daily directory) and install both the linux-image and linux-image-extra .deb packages.

Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. Please only remove that one tag and leave the other tags. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc5-quantal/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing
Jan D (jandeyk-gmail) wrote :

Thank you!

Latest kernel '3.6.0-030600rc5-generic' resolves the issue!

tags: added: kernel-fixed-upstream
removed: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Triaged
Jan D (jandeyk-gmail) wrote :

The date for kernelfreeze in Quantal Quetzal is here and the problem still persist, does that mean the problem will still be around when 12.10 arrives? (I'm on Kernel 3.5.0-16-generic now...)

PS:
Should I ask this question another place/forum, e.g. or is it OK to ask here?

Joseph Salisbury (jsalisbury) wrote :

I'd like to perform a reverse bisect to figure out which commit upstream fixes this regression. It would be very helpful to know the last kernel that had this issue and the first kernel that did not.

Can you test the following kernels and report back? We are looking for the first kernel version that doesn't have this bug:

v3.6-rc1: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc1-quantal/
v3.6-rc3: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc3-quantal/
v3.6-rc5: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc5-quantal/

You don't have to test every kernel, just up until the kernel that first does not have this bug.

Thanks in advance!

Changed in linux (Ubuntu):
status: Triaged → Confirmed
tags: added: performing-bisect
Jan D (jandeyk-gmail) wrote :

I've only tested the first of these three kernels (v3.6-rc1-quantal), it solves the problem.

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing, Jan D. Can you also test the latest upstream v3.5 kernel:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5.5-quantal/

Jan D (jandeyk-gmail) wrote :

The linux-image-3.5.5-030505-generic_3.5.5-030505.201210021510 DID NOT resolve the issue!

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing. I'll start a bisect between 3.5 final and v3.6-rc1.

Jan D (jandeyk-gmail) wrote :

Thank YOU...for working on it! :)

Joseph Salisbury (jsalisbury) wrote :

I started a "Reverse" bisect between v3.5 final and v3.6-rc1. This will require testing of 10 or so kernels to identify the commit upstream that fixes this bug.

The first test kernel is available and is built up to commit:
614a6d4341b3760ca98a1c2c09141b71db5d1e90

This kernel is available from:
http://people.canonical.com/~jsalisbury/lp1046800

Can you test that kernel and report back if it has the bug or not?

Jan D (jandeyk-gmail) wrote :

The linux-image-3.5.0-030500-generic_3.5.0-030500.201210041925_amd64.deb FIXES the problem! (Does NOT have the bug! :) )

BUT.... what does "The first test kernel is available and is built up to commit:
614a6d4341b3760ca98a1c2c09141b71db5d1e90" this mean?

Is that a md5 sum or something...?

AND...Compiz is badly broken when using this kernel (no launcher, no panel, no window titles etc.....)

PS: When I test these kernels I only install 2 .deb files: linux-image.... and linux-image-extra... this is the correct way to do it?

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing. We will have to test 8 to 10 kernels to narrow down the commit that fixes this bug upstream. That is why I posted the previous kernel was the first.

Yes, the correct way to install the kernel is to install the two .deb files.

The next test kernel is available and built up to commit:
320f5ea0cedc08ef65d67e056bcb9d181386ef2c

This kernel is available from:
http://people.canonical.com/~jsalisbury/lp1046800

Can you test that kernel and report back if it has the bug or not?

Jan D (jandeyk-gmail) wrote :

Hmm... I need the _amd64 images...don't I? (Not the i386)

Joseph Salisbury (jsalisbury) wrote :

Yes, you need the amd64 images. I'll see why they didn't get posted.

Jan D (jandeyk-gmail) wrote :

Just FYI, the images are still not posted.

Joseph Salisbury (jsalisbury) wrote :

The next test kernel is available and built up to commit:
320f5ea0cedc08ef65d67e056bcb9d181386ef2c

This kernel is available from, which has both i386 and amd64 kernels:
http://people.canonical.com/~jsalisbury/lp1046800

Can you test that kernel and report back if it has the bug or not?

Jan D (jandeyk-gmail) wrote :

Kernel Linux 3.5.0-030500rc7-generic is WORKING!

(Compiz is still broken though, no window decorations, no launcher, no panel...)

Joseph Salisbury (jsalisbury) wrote :

The next test kernel is available and built up to commit:
0cd06647b7c24f6633e32a505930a9aa70138c22

This kernel is available from, which has both i386 and amd64 kernels:
http://people.canonical.com/~jsalisbury/lp1046800

Can you test that kernel and report back if it has the bug or not?

Jan D (jandeyk-gmail) wrote :

Kernel Linux 3.5.0-030500rc1-generic i also WORKING!

tags: added: regression-release
Joseph Salisbury (jsalisbury) wrote :

The next test kernel is available and built up to commit:
b48d96652626b315229b1b82c6270eead6a77a6d

This kernel is available from, which has both i386 and amd64 kernels:
http://people.canonical.com/~jsalisbury/lp1046800

Can you test that kernel and report back if it has the bug or not?

Jan D (jandeyk-gmail) wrote :

linux-image-3.5.0-030500rc1-generic_3.5.0-030500rc1.201210151836_amd64 CONTAINS THE BUG.

Jan D (jandeyk-gmail) wrote :

Update (nothing changed):
I did a clean install Ubuntu 12.10 64-bit yesterday (official release). The bug still persist.

This makes the laptop unusable to e.g. stream videos, or uncompressed audio from my LAN server.
(In other words, nothing has changed.)

Joseph Salisbury (jsalisbury) wrote :

The next test kernel is available and built up to commit:
a17f29a5e98c0a32a900a773083c719e27f4bc0e

This kernel is available from, which has both i386 and amd64 kernels:
http://people.canonical.com/~jsalisbury/lp1046800

Can you test that kernel and report back if it has the bug or not?

Jan D (jandeyk-gmail) wrote :

Still CONTAINS THE BUG... I'm not sure if it's important but: This last kernel I just tested has even slower wireless speed than the "original/present" in Ubuntu 12.10.

Original kernel gives me now about 2.2MB/s (But useless anyway as it hangs/pauses from time to time)

This last kernel gives me about 1.3MB/s (Also hangs / pauses)

(Again, I expect 5-7MB/s, as I get in 12.04)

Joseph Salisbury (jsalisbury) wrote :

The next test kernel is available and built up to commit:
7e05bedca084faa073c2e64bbcd6407dbaff3151

This kernel is available from, which has both i386 and amd64 kernels:
http://people.canonical.com/~jsalisbury/lp1046800

Can you test that kernel and report back if it has the bug or not?

Jan D (jandeyk-gmail) wrote :

This kernel does NOT contain the bug!

(Gives me ~6MB/s.)

Joseph Salisbury (jsalisbury) wrote :

The next test kernel is available and built up to commit:
2e48686835370dfe78697839ca293d250793809d

This kernel is available from, which has both i386 and amd64 kernels:
http://people.canonical.com/~jsalisbury/lp1046800

Can you test that kernel and report back if it has the bug or not?

Jan D (jandeyk-gmail) wrote :

This kernel CONTAINS the bug.

(Transfer speed ~0.4MB/s)

Jan D (jandeyk-gmail) wrote :

Just letting know I'm still here and so is the bug...
This is really bugging me... ;)

Joseph Salisbury (jsalisbury) wrote :

The next test kernel is available and built up to commit:
1d0c4da8f717937aeda47a72bc769d80f8776795

This kernel is available from, which has both i386 and amd64 kernels:
http://people.canonical.com/~jsalisbury/lp1046800

Can you test that kernel and report back if it has the bug or not?

Jan D (jandeyk-gmail) wrote :

This kernel does NOT contain the bug!
(Wireless transfer speed ~6MB/s.)

Joseph Salisbury (jsalisbury) wrote :

The next test kernel is available and built up to commit:
37ed561e823f5f91ca87522d61a57974be583c0d

This kernel is available from, which has both i386 and amd64 kernels:
http://people.canonical.com/~jsalisbury/lp1046800

Can you test that kernel and report back if it has the bug or not?

Jan D (jandeyk-gmail) wrote :

This kernel does NOT contain the bug!
(Wireless transfer speed ~6MB/s.)

Joseph Salisbury (jsalisbury) wrote :

The next test kernel is available and built up to commit:
fcd289df8892268ec0783588e0d7e0346fd6a1cd

This kernel is available from, which has both i386 and amd64 kernels:
http://people.canonical.com/~jsalisbury/lp1046800

Can you test that kernel and report back if it has the bug or not?

Jan D (jandeyk-gmail) wrote :

This kernel CONTAINS the bug.

(Wireless transfer speed ~0.4MB/s.)

Alex (a-t-page) wrote :

Let me know if I can help test anything. I'm having the same issue with AR9287 wifi... in my case, the speed is very slow with the 3.5 kernel series in the xorg-edgers PPA, but fine with the regular precise kernels (3.2).

Joseph Salisbury (jsalisbury) wrote :

The next test kernel is available and built up to commit:
38351c66e407e610283e5332b819822055db473c

This kernel is available from, which has both i386 and amd64 kernels:
http://people.canonical.com/~jsalisbury/lp1046800

Can you test that kernel and report back if it has the bug or not?

Jan D (jandeyk-gmail) wrote :

This kernel CONTAINS the bug.

(Wireless transfer rate ~0.6MB/s)

Joseph Salisbury (jsalisbury) wrote :

The next test kernel is available and built up to commit:
fc5fef615a963c8b13abf0bbc2a8e8d7c3fd1ffb

This kernel is available from, which has both i386 and amd64 kernels:
http://people.canonical.com/~jsalisbury/lp1046800

Can you test that kernel and report back if it has the bug or not?

Jan D (jandeyk-gmail) wrote :

This kernel CONTAINS the bug.

(Wireless transfer rate ~0.4MB/s, very unstable, pauses a lot.)

Joseph Salisbury (jsalisbury) wrote :

The next test kernel is available and built up to commit:
8c520a59927a5600973782505dbb750d985057c4

This kernel is available from, which has both i386 and amd64 kernels:
http://people.canonical.com/~jsalisbury/lp1046800

Can you test that kernel and report back if it has the bug or not?

Jan D (jandeyk-gmail) wrote :

This kernel CONTAINS the bug.

(Wireless transfer STARTED at a rate of ~6MB/s, lasted for the first ~100MB (of 733MB file), then ~1MB/s for the rest.)
Tried it again and it was at ~1MB/s.

Joseph Salisbury (jsalisbury) wrote :

The next test kernel is available and built up to commit:
59e54bd15d63f102c71c3ce695bca5ed90926e46

This kernel is available from, which has both i386 and amd64 kernels:
http://people.canonical.com/~jsalisbury/lp1046800

Can you test that kernel and report back if it has the bug or not?

Jan D (jandeyk-gmail) wrote :

This kernel CONTAINS the bug.

(Wireless transfer STARTED at a rate of ~1MB/s, lasted for the first ~60MB (of 733MB file), then ~6MB/s for the next 200MB, then ~0.3MB/s for the next 100MB..+lot of pause/stopping, didn't wait for it to finish the whole file...)
Again:
Tried it again and it was at ~1MB/s.

Is there anything else I can do to help? (Smaller files, more files, a lot of files, other protocols than SSH/SFTP, logs, iwconfig output.. etc.?)

LucyB (lucybridges) wrote :

I've been having issues with ath6k, where the connection suddenly dies (normally shortly after booting but not always). With the syslog full of messages, like: "DMA failed to stop.." "Could not stop RX" "Unable to reset channel" etc. After the latest kernel update (3.5.0-19) this happened every time I started the system.

I was unable to find any bugs describing the exact problem with a recent kernel, so on the off chance I tried your kernel: 37ed561e823f5f91ca87522d61a57974be583c0d and it seems to have worked successfully.

Please let me know if you'd like any further information.

Joseph Salisbury (jsalisbury) wrote :

The next test kernel is available and built up to commit:
2d369359f1e0fa13852404ff2f8063235a27d8a7

This kernel is available from, which has both i386 and amd64 kernels:
http://people.canonical.com/~jsalisbury/lp1046800

Can you test that kernel and report back if it has the bug or not?

This should be one of the last test kernels for the bisect.

Jan D (jandeyk-gmail) wrote :

This kernel CONTAINS the bug.

(Wireless transfer rate ~0.5MB/s.)

Joseph Salisbury (jsalisbury) wrote :

The reverse bisect indecated this is the fix for this bug:
37ed561e823f5f91ca87522d61a57974be583c0d

I will build a Quantal test kernel with this commit applied.

Changed in linux (Ubuntu):
assignee: nobody → Joseph Salisbury (jsalisbury)
status: Confirmed → In Progress
Jan D (jandeyk-gmail) wrote :

THANK YOU! :)

Joseph Salisbury (jsalisbury) wrote :

I built a test kernel with commit 37ed561e823f5f91ca87522d61a57974be583c0d reverted.

This kernel is available from:
http://people.canonical.com/~jsalisbury/lp1046800

Can you test that kernel and report back if it has the bug or not?

Jan D (jandeyk-gmail) wrote :

This kernel CONTAINS the bug.

(Transfer speed ~0.4MB/s)

Joseph Salisbury (jsalisbury) wrote :

Actually I cherry-picked commit 37ed561e823f5f91ca87522d61a57974be583c0d and not reverted it. I'll investigate further.

Joseph Salisbury (jsalisbury) wrote :

What's interesting is the bisect up to commit 37ed561e823f5f91ca87522d61a57974be583c0d (Posted in comment #36) seemed to not contain the bug.

Can you retest the mainline kernel built up to commit 37ed56 again? I rebuilt it and posted it at:
http://people.canonical.com/~jsalisbury/lp1046800

Jan D (jandeyk-gmail) wrote :

This(linux-image-3.5.0-030500rc1-generic_3.5.0-030500rc1.201212122041_amd64.deb) kernel does NOT contain the bug.
(Transfer speed ~6.5Mb/s.)

Joseph Salisbury (jsalisbury) wrote :

@Jan,

Sorry, I've been away for the holidays. I'll investigate this issue again shortly.

Joseph Salisbury (jsalisbury) wrote :

In the mean time, v3.8-rc2 is now available. It might be worth a shot to test this kernel. It is available at:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8-rc2-raring/

Jan D (jandeyk-gmail) wrote :

Holidays are not something to be sorry about...! :)
Happy New Year to you!

Thanks for the tip, I might be able to test it later...

Jan D (jandeyk-gmail) wrote :

That kernel (3.8-rc2) didn't even detect my wireless device..... :P

Joseph Salisbury (jsalisbury) wrote :

Hi Jan,

The v3.5.7.4 kernel is now available. Can you test this latest kernel and see if it still exhibits the bug? It can be downloaded from:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5.7.4-quantal/

Changed in linux (Ubuntu):
status: In Progress → Incomplete
Gonay Quentin (qgonay) wrote :

Hi !

I follow this bug since the beginning because I also have a problem with Wi-Fi and I've got an ATHEROS 9287 too.
I'm sad that there's no return from Jan D since a while now and I would like to help but I don't know how to test the kernels...

@Joseph : Can you explain it to me ?

Download full text (3.9 KiB)

I will test it soon, i hope. I've got a new laptop and the old one is on
loan to a friend...
On Feb 18, 2013 7:50 PM, "Gonay Quentin" <email address hidden> wrote:

> Hi !
>
> I follow this bug since the beginning because I also have a problem with
> Wi-Fi and I've got an ATHEROS 9287 too.
> I'm sad that there's no return from Jan D since a while now and I would
> like to help but I don't know how to test the kernels...
>
> @Joseph : Can you explain it to me ?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1046800
>
> Title:
> Wi-Fi intermittent and slow -- Atheros AR9287 ath9k
>
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> Wireless transfer is extremely slow (and choppy, hangs, slows down,
> speeds up, stops for some time).
>
> Expectet transfer speed using ssh (one ubuntu.iso 700MB file) is 5-7MB/s
> Actual transfer speed using ssh (one ubuntu.iso 700MB file) is 0-1MB/s
>
>
> iwconfig:
>
> IEEE 802.11bgn ESSID:"Twin"
> Mode:Managed Frequency:2.437 GHz Access Point:
> 74:44:01:36:DE:44
> Bit Rate=144.4 Mb/s Tx-Power=16 dBm
> Retry long limit:7 RTS thr:off Fragment thr:off
> Power Management:off
> Link Quality=70/70 Signal level=-31 dBm
> Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
> Tx excessive retries:217 Invalid misc:804 Missed beacon:0
>
> Additional info:
> I've got Ubuntu 12.04 and 12.10 on this laptop. Wireless is working as
> expected in 12.04.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: network-manager 0.9.6.0-0ubuntu5
> ProcVersionSignature: Ubuntu 3.5.0-13.14-generic 3.5.3
> Uname: Linux 3.5.0-13-generic x86_64
> ApportVersion: 2.5.1-0ubuntu4
> Architecture: amd64
> Date: Thu Sep 6 13:53:43 2012
> IfupdownConfig:
> auto lo
> iface lo inet loopback
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120820)
> IpRoute:
> default via 192.168.1.1 dev wlan0 proto static
> 169.254.0.0/16 dev wlan0 scope link metric 1000
> 192.168.1.0/24 dev wlan0 proto kernel scope link src 192.168.1.61
> metric 9
> NetworkManager.state:
> [main]
> NetworkingEnabled=true
> WirelessEnabled=true
> WWANEnabled=true
> WimaxEnabled=true
> ProcEnviron:
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: network-manager
> UpgradeStatus: No upgrade log present (probably fresh install)
> nmcli-con:
> NAME UUID TYPE
> TIMESTAMP TIMESTAMP-REAL AUTOCONNECT
> READONLY DBUS-PATH
> Wired connection 1 b8d8726d-a290-4718-9e08-d70dc2436c4f
> 802-3-ethernet 1346798450 Wed 05 Sep 2012 12:40:50 AM CEST yes
> no /org/freedesktop/NetworkManager/Settings/2
> Evjenveien 99b d99ae224-97f8-4563-a707-dddf57642914
> 802-11-wireless 1346523533 Sat 01 Sep 2012 08:18:53 PM CEST yes
> no /org/freedesktop/NetworkManager/Settings/1
> Twin ...

Read more...

Pat (robomaniac8) wrote :

Hello,

i'm using Xubuntu 12.10 (3.5.0-24-generic x86_64) and i got the same problem.
Can i also test these kernels to get rid of this annoying problem?

mfg

Jan D (jandeyk-gmail) wrote :

Could somebody else please get involved in testing these kernels? As I mentioned earlier, the laptop which has these problems is lent to a friend of mine and will probably be sold soon. Last time I got it back just to test the last kernel.

I am now a happy owner of a Bonobo Extreme from System76.

Gonay Quentin (qgonay) wrote :

I'm ok with that but explain to me how to test a kernel and get the result.

Pat (robomaniac8) wrote :

>>I'm ok with that but explain to me how to test a kernel and get the result.

Same here.

Jan D (jandeyk-gmail) wrote :

The way I was doing it:

Download the linux.image....deb and linux-image-extra.....deb (2 files, for your architecture 64-bit/32-bit)

Install:
$ sudo dpkg -i linux-image...deb linux-image-extra...deb [Enter]
[password]

reboot

Test by downloading a file (from a good source, like a computer in your home network)
Use the same file (one, big, eg the Ubuntu ISO)
Note the transfer speed.

To remove the "test" kernel just uninstall it by:

sudo apt-get remove linux-image.... (IMPORTANT: check the version!!!) linux-image-extra.... (IMPORTANT: check the version!!!)

Gonay Quentin (qgonay) wrote :

ok thank you

Jan D (jandeyk-gmail) wrote :

Great! Thanks for helping out, Gonay Quentin!

Jan D (jandeyk-gmail) wrote :

...and Pat! :)

Pat (robomaniac8) wrote :

Ok, i tried a few working Kernels. At first a got some warnings at startup, because i'm using Xubuntu and furthermore the network issue wasn't solved.
I guess i'm not usefull here anymore because it seems Xubuntu has more differences than i thought.

mfg

Jan D (jandeyk-gmail) wrote :
Download full text (4.0 KiB)

Some warnings might occur because the linux-image-headers....deb is not
installed... You dont need them for testing. Did you try a kernel which i
marked as "working"? (most of them isnt)
On Feb 23, 2013 12:15 AM, "Pat" <email address hidden> wrote:

> Ok, i tried a few working Kernels. At first a got some warnings at
> startup, because i'm using Xubuntu and furthermore the network issue wasn't
> solved.
> I guess i'm not usefull here anymore because it seems Xubuntu has more
> differences than i thought.
>
> mfg
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1046800
>
> Title:
> Wi-Fi intermittent and slow -- Atheros AR9287 ath9k
>
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> Wireless transfer is extremely slow (and choppy, hangs, slows down,
> speeds up, stops for some time).
>
> Expectet transfer speed using ssh (one ubuntu.iso 700MB file) is 5-7MB/s
> Actual transfer speed using ssh (one ubuntu.iso 700MB file) is 0-1MB/s
>
>
> iwconfig:
>
> IEEE 802.11bgn ESSID:"Twin"
> Mode:Managed Frequency:2.437 GHz Access Point:
> 74:44:01:36:DE:44
> Bit Rate=144.4 Mb/s Tx-Power=16 dBm
> Retry long limit:7 RTS thr:off Fragment thr:off
> Power Management:off
> Link Quality=70/70 Signal level=-31 dBm
> Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
> Tx excessive retries:217 Invalid misc:804 Missed beacon:0
>
> Additional info:
> I've got Ubuntu 12.04 and 12.10 on this laptop. Wireless is working as
> expected in 12.04.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: network-manager 0.9.6.0-0ubuntu5
> ProcVersionSignature: Ubuntu 3.5.0-13.14-generic 3.5.3
> Uname: Linux 3.5.0-13-generic x86_64
> ApportVersion: 2.5.1-0ubuntu4
> Architecture: amd64
> Date: Thu Sep 6 13:53:43 2012
> IfupdownConfig:
> auto lo
> iface lo inet loopback
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120820)
> IpRoute:
> default via 192.168.1.1 dev wlan0 proto static
> 169.254.0.0/16 dev wlan0 scope link metric 1000
> 192.168.1.0/24 dev wlan0 proto kernel scope link src 192.168.1.61
> metric 9
> NetworkManager.state:
> [main]
> NetworkingEnabled=true
> WirelessEnabled=true
> WWANEnabled=true
> WimaxEnabled=true
> ProcEnviron:
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: network-manager
> UpgradeStatus: No upgrade log present (probably fresh install)
> nmcli-con:
> NAME UUID TYPE
> TIMESTAMP TIMESTAMP-REAL AUTOCONNECT
> READONLY DBUS-PATH
> Wired connection 1 b8d8726d-a290-4718-9e08-d70dc2436c4f
> 802-3-ethernet 1346798450 Wed 05 Sep 2012 12:40:50 AM CEST yes
> no /org/freedesktop/NetworkManager/Settings/2
> Evjenveien 99b d99ae224-97f8-4563-a707-dddf57642914
> 802-11-wireless 1346523533 Sat 01 Sep 2012 08:18:53 PM CEST yes
> no /org/freedes...

Read more...

Pat (robomaniac8) wrote :

> Some warnings might occur because the linux-image-headers....deb is not
installed... You dont need them for testing.
Like i said, there were just a few warnings. It was running like always.

> Did you try a kernel which i marked as "working"? (most of them isnt)
Yes

mfg

Pat (robomaniac8) wrote :

I just updated to 3.5.0-26-generic x86_64. Seems to work pretty good :)

mfg

Joseph Salisbury (jsalisbury) wrote :

That is great news, Pat. @Jan D, do you have a way to test the latest updates as well?

Jan D (jandeyk-gmail) wrote :
Download full text (3.7 KiB)

Sorry, I sold that laptop two days ago...! My type of luck... :P
On Feb 28, 2013 12:20 AM, "Joseph Salisbury" <email address hidden>
wrote:

> That is great news, Pat. @Jan D, do you have a way to test the latest
> updates as well?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1046800
>
> Title:
> Wi-Fi intermittent and slow -- Atheros AR9287 ath9k
>
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> Wireless transfer is extremely slow (and choppy, hangs, slows down,
> speeds up, stops for some time).
>
> Expectet transfer speed using ssh (one ubuntu.iso 700MB file) is 5-7MB/s
> Actual transfer speed using ssh (one ubuntu.iso 700MB file) is 0-1MB/s
>
>
> iwconfig:
>
> IEEE 802.11bgn ESSID:"Twin"
> Mode:Managed Frequency:2.437 GHz Access Point:
> 74:44:01:36:DE:44
> Bit Rate=144.4 Mb/s Tx-Power=16 dBm
> Retry long limit:7 RTS thr:off Fragment thr:off
> Power Management:off
> Link Quality=70/70 Signal level=-31 dBm
> Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
> Tx excessive retries:217 Invalid misc:804 Missed beacon:0
>
> Additional info:
> I've got Ubuntu 12.04 and 12.10 on this laptop. Wireless is working as
> expected in 12.04.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: network-manager 0.9.6.0-0ubuntu5
> ProcVersionSignature: Ubuntu 3.5.0-13.14-generic 3.5.3
> Uname: Linux 3.5.0-13-generic x86_64
> ApportVersion: 2.5.1-0ubuntu4
> Architecture: amd64
> Date: Thu Sep 6 13:53:43 2012
> IfupdownConfig:
> auto lo
> iface lo inet loopback
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120820)
> IpRoute:
> default via 192.168.1.1 dev wlan0 proto static
> 169.254.0.0/16 dev wlan0 scope link metric 1000
> 192.168.1.0/24 dev wlan0 proto kernel scope link src 192.168.1.61
> metric 9
> NetworkManager.state:
> [main]
> NetworkingEnabled=true
> WirelessEnabled=true
> WWANEnabled=true
> WimaxEnabled=true
> ProcEnviron:
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: network-manager
> UpgradeStatus: No upgrade log present (probably fresh install)
> nmcli-con:
> NAME UUID TYPE
> TIMESTAMP TIMESTAMP-REAL AUTOCONNECT
> READONLY DBUS-PATH
> Wired connection 1 b8d8726d-a290-4718-9e08-d70dc2436c4f
> 802-3-ethernet 1346798450 Wed 05 Sep 2012 12:40:50 AM CEST yes
> no /org/freedesktop/NetworkManager/Settings/2
> Evjenveien 99b d99ae224-97f8-4563-a707-dddf57642914
> 802-11-wireless 1346523533 Sat 01 Sep 2012 08:18:53 PM CEST yes
> no /org/freedesktop/NetworkManager/Settings/1
> Twin 2830871f-6c1f-4e2d-8ceb-6e594029373b
> 802-11-wireless 1346932350 Thu 06 Sep 2012 01:52:30 PM CEST yes
> no /org/freedesktop/NetworkManager/Settings/0
> nmcli-dev:
> DEVICE TYPE S...

Read more...

Gonay Quentin (qgonay) wrote :

I updated to 3.5.0-26-generic x86_64 too and my downloading speed is constant and about 600 ko/s the same value as my WiFi key. The browsing speed seems good too...

Changed in linux (Ubuntu):
status: Incomplete → Fix Released
dcima (david2002) wrote :

Is this bug a duplicate of 1016181 ?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers